Session
Authenticate Session
cURL
curl --request POST \
--url https://api.sandbox.verisoul.ai/session/authenticate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"account": {
"id": "<string>",
"email": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>",
"expected_countries": [
"<string>"
],
"metadata": {},
"group": "<string>",
"lists": [
"<string>"
]
},
"session_id": "<string>"
}
'import requests
url = "https://api.sandbox.verisoul.ai/session/authenticate"
payload = {
"account": {
"id": "<string>",
"email": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>",
"expected_countries": ["<string>"],
"metadata": {},
"group": "<string>",
"lists": ["<string>"]
},
"session_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: {
id: '<string>',
email: '<string>',
phone: '<string>',
first_name: '<string>',
last_name: '<string>',
username: '<string>',
expected_countries: ['<string>'],
metadata: {},
group: '<string>',
lists: ['<string>']
},
session_id: '<string>'
})
};
fetch('https://api.sandbox.verisoul.ai/session/authenticate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "00000000-0000-0000-0000-000000000001",
"session_id": "7fd9d3e5-a5d3-4e47-9c2a-69fd8f0e0bd7",
"account_id": "john-doe",
"request_id": "055ce1fc-0219-4909-9cb4-091be9d374d6",
"decision": "Real",
"account_score": 0.17,
"bot": 0,
"multiple_accounts": 0,
"risk_signals": 0.17,
"accounts_linked": 0,
"lists": [
"us_users"
],
"session": {
"start_time": "2025-06-10T16:35:22.184Z",
"true_country_code": "US",
"device_id": "6yONB4zT6k2i7SXvWkwC9s",
"network": {
"ip_address": "107.209.253.92",
"service_provider": "AT&T Internet",
"connection_type": "isp"
},
"location": {
"continent": "NA",
"country_code": "US",
"state": "Texas",
"city": "Austin",
"zip_code": "78729",
"timezone": "America/Chicago",
"latitude": 30.3773,
"longitude": -97.71
},
"browser": {
"type": "Chrome",
"version": "137.0.0.0",
"language": "en-US",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/137.0.0.0 Safari/537.36",
"timezone": "America/Chicago"
},
"device": {
"category": "desktop",
"type": "Mac",
"os": "macOS 10.15.7",
"cpu_cores": 16,
"memory": 8,
"gpu": "ANGLE (Apple, ANGLE Metal Renderer: Apple M4 Max, Unspecified Version)",
"screen_height": 1329,
"screen_width": 2056
},
"bot": {
"mouse_num_events": 0,
"click_num_events": 0,
"keyboard_num_events": 0,
"touch_num_events": 0,
"clipboard_num_events": 0
},
"risk_signals": {
"device_risk": false,
"proxy": false,
"vpn": false,
"tor": false,
"spoofed_ip": false,
"datacenter": false,
"recent_fraud_ip": false,
"impossible_travel": false,
"device_network_mismatch": false,
"location_spoofing": false
},
"risk_signal_scores": {
"device_risk": 0.1431,
"proxy": 0,
"vpn": 0,
"tor": 0,
"datacenter": 0,
"recent_fraud_ip": 0,
"impossible_travel": 0,
"device_network_mismatch": 0.0001,
"location_spoofing": 0
}
},
"account": {
"account": {
"id": "john-doe",
"email": "johndoe.example@gmail.com",
"metadata": {},
"group": ""
},
"num_sessions": 3,
"first_seen": "2025-06-10T16:35:22.184Z",
"last_seen": "2025-06-10T16:35:52.018Z",
"last_session": "7fd9d3e5-a5d3-4e47-9c2a-69fd8f0e0bd7",
"country": "US",
"countries": [
"US"
],
"unique_devices": {
"1_day": 1,
"7_day": 1
},
"unique_networks": {
"1_day": 1,
"7_day": 1
},
"email": {
"email": "johndoe.example@gmail.com",
"disposable": false,
"personal": true,
"valid": true,
"domain_type": "personal",
"email_score": 0,
"trust_signals": [
"email_age_greater_than_5_years",
"email_known_online_history"
],
"risk_signals": [
"email_alias"
],
"num_account_from_domain": 156
},
"risk_signal_average": {
"device_risk": 0.2266,
"proxy": 0,
"vpn": 0,
"tor": 0,
"spoofed_ip": 0,
"datacenter": 0,
"recent_fraud_ip": 0,
"impossible_travel": 0,
"device_network_mismatch": 0.0001,
"location_spoofing": 0
}
}
}Authorizations
Query Parameters
Whether to include linked accounts in the response
Body
application/json
Session authentication information
The account to authenticate. See Account Object for more information.
Show child attributes
Show child attributes
The ID of the session to authenticate
Response
Session authentication response
The ID of the project
The ID of the session
The ID of the account
The ID of the request
Decision about the authenticity (Real/Fake)
Overall account risk score
Bot detection score
Multiple accounts detection score
Risk signals score
Number of accounts linked to this account
Lists the account belongs to
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of accounts linked to the authenticated account (only included when accounts_linked=true)
Show child attributes
Show child attributes
⌘I
cURL
